# See https://help.github.com/articles/ignoring-files/ for more about ignoring files.

# dependencies
/node_modules
/.pnp
.pnp.js
client/node_modules
client/.pnp
client.pnp.js
admin/node_modules
admin/.pnp
admin.pnp.js
jsreport/node_modules
jsreport/auth-server/node_modules
# testing
/coverage
client/coverage
admin/coverage

# production
/build
client/build
admin/build
client/dist
# misc
.DS_Store
.env
client/.env
.env.local
.env.development.local
.env.test.local
.env.production.local

npm-debug.log*
yarn-debug.log*
yarn-error.log*
client/npm-debug.log*
client/yarn-debug.log*
client/yarn-error.log*
admin/npm-debug.log*
admin/yarn-debug.log*
admin/yarn-error.log*
client/.eslintcache

#Firebase Ignore
# Logs
firebase/logs
firebase/*.log
firebase/npm-debug.log*
firebase/yarn-debug.log*
firebase/yarn-error.log*
firebase/firebase-debug.log*

# Firebase cache
firebase/.firebase/

# Firebase config

# Uncomment this if you'd like others to create their own Firebase project.
# For a team working on the same Firebase project(s), it is recommended to leave
# it commented so all members can deploy to the same project(s) in .firebaserc.
# .firebaserc

# Runtime data
firebase/pids
firebase/*.pid
firebase/*.seed
firebase/*.pid.lock

# Directory for instrumented libs generated by jscoverage/JSCover
firebase/lib-cov

# Coverage directory used by tools like istanbul
firebase/coverage

# nyc test coverage
firebase/.nyc_output

# Grunt intermediate storage (http://gruntjs.com/creating-plugins#storing-task-files)
firebase/.grunt

# Bower dependency directory (https://bower.io/)
firebase/bower_components

# node-waf configuration
firebase/.lock-wscript

# Compiled binary addons (http://nodejs.org/api/addons.html)
firebase/build/Release

# Dependency directories
firebase/node_modules/

# Optional npm cache directory
firebase/.npm

# Optional eslint cache
firebase/.eslintcache

# Optional REPL history
firebase/.node_repl_history

# Output of 'npm pack'
firebase/*.tgz

# Yarn Integrity file
firebase/.yarn-integrity

# dotenv environment variables file
firebase/.env

# Elastic Beanstalk Files
.elasticbeanstalk/*
!.elasticbeanstalk/*.cfg.yml
!.elasticbeanstalk/*.global.yml
logs/oAuthClient-log.log


.node-persist/**

/*.env.*
.idea/*
.idea
